IntegrationsAttio

Get one list by slug or ID.

POST
/integrations/connections/{connection_id}/providers/attio/lists/get

Get one list by slug or ID.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

connection_id*string

Resource identifier: connection_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/attio/lists/get" \  -H "Content-Type: application/json" \  -d '{    "list": "example"  }'
{  "list_id": "example",  "api_slug": "example",  "name": "Customer documents",  "parent_object": [],  "workspace_access": "example",  "created_by": {    "type": "run.completed",    "id": "example"  },  "created_at": "example"}